RDGeom::Grid3D Class Referenceabstract

Virtual base class for a grid object. More...

`#include <Grid3D.h>`

Inheritance diagram for RDGeom::Grid3D:

## Public Member Functions

virtual | ~Grid3D ()
virtual int | getGridPointIndex (const Point3D &point) const =0
virtual int | getVal (const Point3D &point) const =0
virtual void | setVal (const Point3D &point, unsigned int val)=0
virtual Point3D | getGridPointLoc (unsigned int pointId) const =0
virtual unsigned int | getVal (unsigned int pointId) const =0
virtual void | setVal (unsigned int pointId, unsigned int val)=0
virtual unsigned int | getSize () const =0
virtual const RDKit::DiscreteValueVect * | getOccupancyVect () const =0

## Detailed Description

Virtual base class for a grid object.

Definition at line 37 of file Grid3D.h.

## Constructor & Destructor Documentation

## ~Grid3D()

virtual RDGeom::Grid3D::~Grid3D | ( |  | ) |

inline virtual

Definition at line 39 of file Grid3D.h.

## Member Function Documentation

## getGridPointIndex()

virtual int RDGeom::Grid3D::getGridPointIndex | ( | const Point3D & | point | ) | const

pure virtual

Implemented in RDGeom::UniformGrid3D.

## getGridPointLoc()

virtual Point3D RDGeom::Grid3D::getGridPointLoc | ( | unsigned int | pointId | ) | const

pure virtual

Implemented in RDGeom::UniformGrid3D.

## getOccupancyVect()

virtual const RDKit::DiscreteValueVect* RDGeom::Grid3D::getOccupancyVect | ( |  | ) | const

pure virtual

Implemented in RDGeom::UniformGrid3D.

## getSize()

virtual unsigned int RDGeom::Grid3D::getSize | ( |  | ) | const

pure virtual

Implemented in RDGeom::UniformGrid3D.

## getVal() [1/2]

virtual int RDGeom::Grid3D::getVal | ( | const Point3D & | point | ) | const

pure virtual

Implemented in RDGeom::UniformGrid3D.

## getVal() [2/2]

virtual unsigned int RDGeom::Grid3D::getVal | ( | unsigned int | pointId | ) | const

pure virtual

Implemented in RDGeom::UniformGrid3D.

## setVal() [1/2]

virtual void RDGeom::Grid3D::setVal | ( | const Point3D & | point,
|  | unsigned int | val
| ) |  |

pure virtual

Implemented in RDGeom::UniformGrid3D.

## setVal() [2/2]

virtual void RDGeom::Grid3D::setVal | ( | unsigned int | pointId,
|  | unsigned int | val
| ) |  |

pure virtual

Implemented in RDGeom::UniformGrid3D.

The documentation for this class was generated from the following file:

- Grid3D.h